卸载vim出现这种情况 怎么办?

系统安装、升级讨论
回复
头像
zodboyer
帖子: 36
注册时间: 2008-08-22 20:36
送出感谢: 0
接收感谢: 0

卸载vim出现这种情况 怎么办?

#1

帖子 zodboyer » 2010-01-17 16:57

我的 ubuntu 9.04上面自带的vim 有错误 每次安装新安装包的时候,都因为这个错误没法安装


用apt-get install vim 安装 说最新版 不需要升级,我想卸载后重装,卸载的时候终端显示:

(正在读取数据库 ... 系统当前总共安装有 136011 个文件和目录。)
正在删除 vim ...
update-alternatives: 无法创建 /usr/share/man/it.UTF-8/man1/vi.1.gz.dpkg-tmp 为 /etc/alternatives/vi.it.UTF-8.1.gz 的符号链接(symlink):没有该文件或目录
dpkg:处理 vim (--remove)时出错:
子进程 pre-removal script 返回了错误号 2
update-alternatives: 无法创建 /usr/share/man/it.UTF-8/man1/vi.1.gz.dpkg-tmp 为 /etc/alternatives/vi.it.UTF-8.1.gz 的符号链接(symlink):没有该文件或目录
dpkg: 作下列清理工作时发生错误:
子进程 post-installation script 返回了错误号 2
在处理时有错误发生:
vim
应该怎么办?
rediscover
帖子: 3173
注册时间: 2010-01-13 23:26
送出感谢: 0
接收感谢: 12 次

Re: 卸载vim出现这种情况 怎么办?

#2

帖子 rediscover » 2010-01-18 1:19

代码: 全选

sudo aptitude install vim-full
Here I am.
Ubuntu 桌面培训 - 全中文官方文档,含汉化截图,提供PDF
回复

回到 “系统安装和升级”